Enqueue a message

Enqueues an outbound WhatsApp message for sending.

Queued messages will be submitted to the WhatsApp Business API asynchronously.

For WhatsApp template messages, the referenced template must be in APPROVED status. ARCHIVED templates cannot be sent.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Provide exactly one of to or recipient. If both are provided, to takes precedence and recipient is ignored.

string
required

The sender's phone number in E.164 format.

string

The recipient's phone number in E.164 format. Required when recipient is not provided.

string

The recipient's WhatsApp Business-scoped user ID (BSUID) or parent BSUID. Required when to is not provided.

customerProfile
object

The recipient's profile information. Used to persist WhatsApp username in username-only or BSUID send scenarios.

string
enum
required

WhatsApp outbound message type.
See also WhatsApp messages.

template
object

Required when type is template.

text
object

Required when type is text.

image
object

Required when type is image.

video
object

Required when type is video.

audio
object

Required when type is audio.

document
object

Required when type is document.

sticker
object

Required when type is sticker.

location
object

Required when type is location.

interactive
object

Required when type is interactive.

contacts
array of objects

Required when type is contacts.

contacts
reaction
object

Required when type is reaction.

context
object

Used to mention a specific message you are replying to. The reply can be any message type.

string

A unique (recommended) string to reference the object. This can be an order number or similar, and can be used to reconcile the object with your internal systems.

string
enum

Optional.
Indicates the category of the message to be sent with Direct Send. Supported values are utility and authentication.

Use utility for business-initiated utility messages. Messages sent with utility are charged at utility rates.

Use authentication for business-initiated authentication messages. Messages sent with authentication are charged at authentication rates. Authentication Direct Send only supports text messages.

Allowed:
integer
30 to 43200

Optional.
Message time-to-live in seconds for Direct Send utility or authentication messages.

The supported range is 30 seconds to 43200 seconds (12 hours). If omitted, the default Direct Send TTL is used.

boolean
Defaults to false

Optional.
Whether to send the message through Direct Send. Defaults to false.

Set this to true to send the message through Direct Send when the sender WABA is enabled for Direct Send.

For template messages, the template must be convertible to a Direct Send message type. Supported Direct Send message types for template conversion are:

  • Text messages
  • Interactive Call-to-Action URL button messages
  • Interactive reply button messages
boolean

Optional.
If set to true, the message will not be sent to users who have unsubscribed from your account. Defaults to false.

Only use for POST /v2/whatsapp/messages. If the user has unsubscribed, we will push webhook notifications with whatsappMessage.errorCode set to RECIPIENT_UNSUBSCRIBED.

Not applicable to POST /v2/whatsapp/messages/sendDirectly.

boolean

Optional.
If set to true, the message will not be sent to users in your block list. Defaults to false.

Only use for POST /v2/whatsapp/messages. If the user is in your block list, we will push webhook notifications with whatsappMessage.errorCode set to RECIPIENT_IN_BLOCK_LIST.

Not applicable to POST /v2/whatsapp/messages/sendDirectly.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json